ocsp.c(3)

NAME
ocsp.c - Online Certificate Status Protocol (RFC 2560) routines.

SYNOPSIS

#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <errno.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_ocsp_db_st
struct ocsp_entry

  Functions
void wget_ocsp_set_plugin (const wget_ocsp_db_vtable *vtable)
bool wget_ocsp_fingerprint_in_cache (const wget_ocsp_db *ocsp_db, const char *fingerprint, int *revoked)
bool wget_ocsp_hostname_is_valid (const wget_ocsp_db *ocsp_db, const char *hostname)
void wget_ocsp_db_deinit (wget_ocsp_db *ocsp_db)
void wget_ocsp_db_free (wget_ocsp_db **ocsp_db)
void wget_ocsp_db_add_fingerprint (wget_ocsp_db *ocsp_db, const char *fingerprint, int64_t maxage, bool valid)
void wget_ocsp_db_add_host (wget_ocsp_db *ocsp_db, const char *host, int64_t maxage)
int wget_ocsp_db_load (wget_ocsp_db *ocsp_db)
int wget_ocsp_db_save (wget_ocsp_db *ocsp_db)
wget_ocsp_db * wget_ocsp_db_init (wget_ocsp_db *ocsp_db, const char *fname)
void wget_ocsp_db_set_fname (wget_ocsp_db *ocsp_db, const char *fname)

Detailed Description

Online Certificate Status Protocol (RFC 2560) routines.

Author

Generated automatically by Doxygen for wget2 from the source code.